Domains
Domains
List domains
Get a list of all Domains
Get domain
Get a domain. Unlike the list, it has dnssec_enabled, which needs the DNS zone of the domain
Domain whois
Search availability status for a domain (whois). A premium domain, sold at a price set by the registry, comes with our prices, which its order (`POST /api/v3/shop/domain`) uses; sub-accounts get no prices
DNSSEC
Get DNSSEC data records
Activate DNSSEC
Activate DNSSEC (for domains with 'standard' nameservers only). When the purchase of the domain is suspended, the request is rejected with 409
Deactivate DNSSEC
Deactivate DNSSEC (for domains with 'standard' nameservers) or remove all DNSSEC data records (for domains with 'external' nameservers). When the purchase of the domain is suspended, the request is rejected with 409
Change DNSSEC data
Add or change DNSSEC data records (for domains with 'external' nameservers only). When the purchase of the domain is suspended, the request is rejected with 409
Can activate DNSSEC
Know if it's possible to activate DNSSEC
Can deactivate DNSSEC
Know if it's possible to deactivate DNSSEC
DNS Zone
DNS Zone details
Change DNS Zone data
Changes the TTL of the DNS zone of the domain and returns the zone. Only the zones on our nameservers (standard and external types) have a TTL, which is also the TTL of all their records: with the Cloudflare nameservers the response is 409. 404 when the domain has no DNS zone
Can change Nameservers
Know if it's possible to change Nameservers
Nameservers: standard
Activate 'standard' nameservers on domain
Nameservers: Cloudflare
Activate 'Cloudflare' nameservers on domain
Nameservers: external
Activate 'external' nameservers or change current 'external' nameservers
List DNS records
Get a list of all DNS Records. The results are paginated but the pagination does not have information about the total number of items and the total number of pages. Only forward pages navigation is supported.
Create DNS record
Creates a record in the DNS zone of the domain. `NS` and `PTR` records cannot be created, as in the control panel (400)
Get DNS record
Get a DNS record
Delete DNS record
Deletes a record of the DNS zone of the domain. `NS` and `PTR` records cannot be deleted, as in the control panel (403)
Modify DNS record
Changes a record of the DNS zone of the domain; its type cannot change. `NS` and `PTR` records cannot be changed, as in the control panel (403)
List domain contacts
Get all contacts of domain
Get a contact
Get a contact of domain
Modify contact
Modify a contact's data
Apply contacts changes
Apply changes made on contacts to the domain (send changes to domain's Registry)